---
apiVersion: traefik.io/v1alpha1
kind: IngressRoute
metadata:
  name: otel-collector-traces
spec:
  entryPoints:
    - websecure
  routes:
  - kind: Rule
    match: filled_in_by_kustomize
    priority: 50
    middlewares:
      - name: cors-headers-otel
        namespace: filled_in_by_kustomize
      - name: client-body-max
        namespace: filled_in_by_kustomize
      - name: forward-auth
        namespace: filled_in_by_kustomize
      - name: strip-group-path-otel
        namespace: filled_in_by_kustomize
      - name: path-replace-otel
        namespace: filled_in_by_kustomize
      - name: header-transformation-otel
        namespace: filled_in_by_kustomize
    services:
    - kind: Service
      name: otel-collector
      namespace: filled_in_by_kustomize
      port: otlp-http
      scheme: http
      strategy: RoundRobin
      nativeLB: true
  # NOTE(prozlach): otel collector tls certificates are picked up basing on the
  # domain matching, as we can't specify namespace of the secret (it is by
  # design in traefik, to prevent users peeking secrets in other NSes). The
  # ingress routes in default namespace specify the certificate explicitly.
  tls: {}
---
apiVersion: traefik.io/v1alpha1
kind: IngressRoute
metadata:
  name: otel-collector-metrics
spec:
  entryPoints:
    - websecure
  routes:
    - kind: Rule
      match: filled_in_by_kustomize
      priority: 50
      middlewares:
        - name: cors-headers-otel
          namespace: filled_in_by_kustomize
        - name: client-body-max
          namespace: filled_in_by_kustomize
        - name: forward-auth
          namespace: filled_in_by_kustomize
        - name: strip-group-path-otel
          namespace: filled_in_by_kustomize
        - name: path-replace-otel-metrics
          namespace: filled_in_by_kustomize
        - name: header-transformation-otel
          namespace: filled_in_by_kustomize
      services:
        - kind: Service
          name: otel-collector
          namespace: filled_in_by_kustomize
          port: otlp-http
          scheme: http
          strategy: RoundRobin
          nativeLB: true
  # NOTE(prozlach): otel collector tls certificates are picked up basing on the
  # domain matching, as we can't specify namespace of the secret (it is by
  # design in traefik, to prevent users peeking secrets in other NSes). The
  # ingress routes in default namespace specify the certificate explicitly.
  tls: {}
---
apiVersion: traefik.io/v1alpha1
kind: IngressRoute
metadata:
  name: otel-collector-logs
spec:
  entryPoints:
    - websecure
  routes:
    - kind: Rule
      match: filled_in_by_kustomize
      priority: 50
      middlewares:
        - name: cors-headers-otel
          namespace: filled_in_by_kustomize
        - name: client-body-max
          namespace: filled_in_by_kustomize
        - name: forward-auth
          namespace: filled_in_by_kustomize
        - name: strip-group-path-otel
          namespace: filled_in_by_kustomize
        - name: path-replace-otel-logs
          namespace: filled_in_by_kustomize
        - name: header-transformation-otel
          namespace: filled_in_by_kustomize
      services:
        - kind: Service
          name: otel-collector
          namespace: filled_in_by_kustomize
          port: otlp-http
          scheme: http
          strategy: RoundRobin
          nativeLB: true
  # NOTE(prozlach): otel collector tls certificates are picked up basing on the
  # domain matching, as we can't specify namespace of the secret (it is by
  # design in traefik, to prevent users peeking secrets in other NSes). The
  # ingress routes in default namespace specify the certificate explicitly.
  tls: {}
